/*
Copyright 2022, Savanni D'Gerinel <savanni@luminescent-dreams.com>

This file is part of Savanni's AVR library.

Lumeto is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Lumeto is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Lumeto. If not, see <https://www.gnu.org/licenses/>.
*/

#include <avr/io.h>
#include <util/delay.h>

#include <base.h>

int main (void) {
    DDRB = 0x18;
    PORTB = 0x00;

    _delay_ms(500);

    io_pin_t enable_pin = { .port = &PORTB, .pin = 3 };
    io_pin_t data_pin = { .port = &PORTB, .pin = 4 };

    set_pin(&enable_pin);
    for (uint8_t i = 0; i < 10; i++) {
        set_pin(&data_pin);
        _delay_ms(500);
        clear_pin(&data_pin);
        _delay_ms(500);
    }
    clear_pin(&enable_pin);

    while(1) {};
}
