/*
Copyright 2022, Savanni D'Gerinel <savanni@luminescent-dreams.com>

This file is part of Savanni's AVR library.

Lumeto is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Lumeto is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Lumeto. If not, see <https://www.gnu.org/licenses/>.
*/


#ifndef __MORSE_H__
#define __MORSE_H__

#include <base.h>
#include <stdlib.h>

typedef struct SPI {
    gpio_t clock;
    gpio_t data_out;
    gpio_t data_in;
    gpio_t chip_select;
} spi_t;

void spi_initialize(spi_t *spi);
void spi_acquire(spi_t *spi);
void spi_release(spi_t *spi);
uint8_t spi_transfer_byte(spi_t *spi, uint8_t output);

#endif
